Bug 189123 - anaconda-ks.cfg missing --noformat and --useexisting in volgroup/logvol
anaconda-ks.cfg missing --noformat and --useexisting in volgroup/logvol
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-17 11:25 EDT by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 17:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2006-04-17 11:25:59 EDT
Description of problem:
When installing FC5 while keeping some vgs and lvs the resulting anaconda-ks.cfg
is missing the appropriate options and a replay fails.

Version-Release number of selected component (if applicable):
anaconda-11.0.5-1

How reproducible:
always

Steps to Reproduce:
1.Install over an existing lvm partitioning scheme.
2.Keep at least one lv w/o formating it.
3.Use the resulting anaconda-ks.cfg for a kickstart install
  
Actual results:
The volume group gets wiped

Expected results:
The volgroup statement should had an "--noformat"
The logvol statement of to be wiped lvs should had an "--useexisting"
The logvol statement of the to be kept lv was ok.

Additional info:
https://www.redhat.com/archives/kickstart-list/2006-April/msg00040.html

Note You need to log in before you can comment on or make changes to this bug.